Index: svn/src/mainboard/technexion/tim8690/mainboard.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim8690/mainboard.c
+++ svn/src/mainboard/technexion/tim8690/mainboard.c
@@ -60,7 +60,7 @@ static void enable_onboard_nic()
 	u8 byte;
 	device_t sm_dev;
 
-	printk(BIOS_INFO, "enable_onboard_nic.\n");
+	printk(INFO, "enable_onboard_nic.\n");
 
 	sm_dev = dev_find_slot(0, PCI_DEVFN(0x14, 0));
 
@@ -97,7 +97,7 @@ static void set_thermal_config()
 
 	byte = ADT7461_read_byte(0x02);	/* read status register to clear it */
 	ARA_read_byte(0x05); /* A hardware alert can only be cleared by the master sending an ARA as a read command */
-	printk(BIOS_INFO, "Init adt7461 end , status 0x02 %02x\n", byte);
+	printk(INFO, "Init adt7461 end , status 0x02 %02x\n", byte);
 
 	/* sb600 settings for thermal config */
 	/* set SB600 GPIO 64 to GPIO with pull-up */
@@ -150,19 +150,19 @@ void tim8690_enable(device_t dev)
 	struct mainboard_config *mainboard =
 	    (struct mainboard_config *)dev->chip_info;
 
-	printk(BIOS_INFO, "Mainboard tim8690 Enable. dev=0x%p\n", dev);
+	printk(INFO, "Mainboard tim8690 Enable. dev=0x%p\n", dev);
 
 #if (CONFIG_GFXUMA == 1)
 	msr_t msr, msr2;
 
 	/* TOP_MEM: the top of DRAM below 4G */
 	msr = rdmsr(TOP_MEM);
-	printk(BIOS_INFO, "%s, TOP MEM: msr.lo = 0x%08x, msr.hi = 0x%08x\n",
+	printk(INFO, "%s, TOP MEM: msr.lo = 0x%08x, msr.hi = 0x%08x\n",
 		    __func__, msr.lo, msr.hi);
 
 	/* TOP_MEM2: the top of DRAM above 4G */
 	msr2 = rdmsr(TOP_MEM2);
-	printk(BIOS_INFO, "%s, TOP MEM2: msr2.lo = 0x%08x, msr2.hi = 0x%08x\n",
+	printk(INFO, "%s, TOP MEM2: msr2.lo = 0x%08x, msr2.hi = 0x%08x\n",
 		    __func__, msr2.lo, msr2.hi);
 
 	switch (msr.lo) {
@@ -184,7 +184,7 @@ void tim8690_enable(device_t dev)
 	}
 
 	uma_memory_base = msr.lo - uma_memory_size;	/* TOP_MEM1 */
-	printk(BIOS_INFO, "%s: uma size 0x%08llx, memory start 0x%08llx\n",
+	printk(INFO, "%s: uma size 0x%08llx, memory start 0x%08llx\n",
 		    __func__, uma_memory_size, uma_memory_base);
 
 	/* TODO: TOP_MEM2 */
@@ -203,7 +203,7 @@ int add_mainboard_resources(struct lb_me
 	 * in some circumstances we want the memory mentioned as reserved.
  	 */
 #if (CONFIG_GFXUMA == 1)
-	printk(BIOS_INFO, "uma_memory_base=0x%llx, uma_memory_size=0x%llx \n",
+	printk(INFO, "uma_memory_base=0x%llx, uma_memory_size=0x%llx \n",
 	uma_memory_base, uma_memory_size);
 	lb_add_memory_range(mem, LB_MEM_RESERVED,
 		uma_memory_base, uma_memory_size);
Index: svn/src/mainboard/technexion/tim8690/mptable.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim8690/mptable.c
+++ svn/src/mainboard/technexion/tim8690/mptable.c
@@ -199,7 +199,7 @@ static void *smp_write_config_table(void
 	mc->mpe_checksum =
 	    smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		     mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/technexion/tim8690/romstage.c
===================================================================
--- svn.orig/src/mainboard/technexion/tim8690/romstage.c
+++ svn/src/mainboard/technexion/tim8690/romstage.c
@@ -130,7 +130,7 @@ void cache_as_ram_main(unsigned long bis
 
 	/* Halt if there was a built in self test failure */
 	report_bist_failure(bist);
-	printk(BIOS_DEBUG, "bsp_apicid=0x%x\n", bsp_apicid);
+	printk(DEBUG, "bsp_apicid=0x%x\n", bsp_apicid);
 
 	setup_tim8690_resource_map();
 
@@ -156,7 +156,7 @@ void cache_as_ram_main(unsigned long bis
 
 		/* Read FIDVID_STATUS */
 		msr=rdmsr(0xc0010042);
-		printk(BIOS_DEBUG, "begin msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
+		printk(DEBUG, "begin msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
 
 		enable_fid_change();
 		enable_fid_change_on_sb(sysinfo->sbbusn, sysinfo->sbdn);
@@ -164,16 +164,16 @@ void cache_as_ram_main(unsigned long bis
 
 		/* show final fid and vid */
 		msr=rdmsr(0xc0010042);
-		printk(BIOS_DEBUG, "end msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
+		printk(DEBUG, "end msr fid, vid: hi=0x%x, lo=0x%x\n", msr.hi, msr.lo);
 
 	} else {
-		printk(BIOS_DEBUG, "Changing FIDVID not supported\n");
+		printk(DEBUG, "Changing FIDVID not supported\n");
 	}
 
 	needs_reset = optimize_link_coherent_ht();
 	needs_reset |= optimize_link_incoherent_ht(sysinfo);
 	rs690_htinit();
-	printk(BIOS_DEBUG, "needs_reset=0x%x\n", needs_reset);
+	printk(DEBUG, "needs_reset=0x%x\n", needs_reset);
 
 	if (needs_reset) {
 		print_info("ht reset -\n");
@@ -183,7 +183,7 @@ void cache_as_ram_main(unsigned long bis
 	allow_all_aps_stop(bsp_apicid);
 
 	/* It's the time to set ctrl now; */
-	printk(BIOS_DEBUG, "sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
+	printk(DEBUG, "sysinfo->nodes: %2x  sysinfo->ctrl: %p  spd_addr: %p\n",
 		     sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	fill_mem_ctrl(sysinfo->nodes, sysinfo->ctrl, spd_addr);
 	sdram_initialize(sysinfo->nodes, sysinfo->ctrl, sysinfo);
Index: svn/src/mainboard/technologic/ts5300/mainboard.c
===================================================================
--- svn.orig/src/mainboard/technologic/ts5300/mainboard.c
+++ svn/src/mainboard/technologic/ts5300/mainboard.c
@@ -24,10 +24,10 @@ static void irqdump(void)
 		-1};
   mmcr = (void *) 0xfffef000;
 
-  printk(BIOS_ERR, "mmcr is %p\n", mmcr);
+  printk(ERROR, "mmcr is %p\n", mmcr);
   for(i = 0; irqlist[i] >= 0; i++) {
     irq = mmcr + irqlist[i];
-    printk(BIOS_ERR, "0x%x register @%p is 0x%x\n", irqlist[i], irq, *irq);
+    printk(ERROR, "0x%x register @%p is 0x%x\n", irqlist[i], irq, *irq);
   }
 
 }
@@ -40,14 +40,14 @@ static void enable_dev(struct device *de
 	volatile struct mmcr *mmcr = MMCRDEFAULT;
 
 	/* currently, nothing in the device to use, so ignore it. */
-	printk(BIOS_ERR, "Technologic Systems 5300 ENTER %s\n", __func__);
+	printk(ERROR, "Technologic Systems 5300 ENTER %s\n", __func__);
 
 	/* from fuctory bios */
 	/* NOTE: the following interrupt settings made interrupts work
 	 * for hard drive, and serial, but not for ethernet 
 	 */
 
-	printk(BIOS_ERR, "Setting up PIC\n");
+	printk(ERROR, "Setting up PIC\n");
 	/* just do what they say and nobody gets hurt. */
 	mmcr->pic.pcicr = 0 ;
 	/* all ints to level */
@@ -78,7 +78,7 @@ static void enable_dev(struct device *de
 
 	// irqdump();
 
-	printk(BIOS_ERR, "Setting up sysarb\n");
+	printk(ERROR, "Setting up sysarb\n");
 	mmcr->dbctl.dbctl = 0x01;
 	mmcr->sysarb.ctl = 0x00;
 	mmcr->sysarb.menb = 0x1f;
@@ -91,7 +91,7 @@ static void enable_dev(struct device *de
 	mmcr->hostbridge.mstirqctl = 0x0;
 	mmcr->hostbridge.mstirqsta = 0x708;
 
-	printk(BIOS_ERR, "Setting up pio\n");
+	printk(ERROR, "Setting up pio\n");
 	/* pio */
 	mmcr->pio.pfs15_0 = 0xffff;
 	mmcr->pio.pfs31_16 = 0xffff;
@@ -101,7 +101,7 @@ static void enable_dev(struct device *de
 	mmcr->pio.data15_0 = 0xde04;
 	mmcr->pio.data31_16 = 0xef9f;
 
-	printk(BIOS_ERR, "Setting up sysmap\n");
+	printk(ERROR, "Setting up sysmap\n");
 	/* system memory map */
 	mmcr->sysmap.adddecctl = 0x04;
 	mmcr->sysmap.wpvsta = 0x8006;
@@ -117,7 +117,7 @@ static void enable_dev(struct device *de
 	mmcr->sysmap.par[13] = 0x8a07c940;
 	mmcr->sysmap.par[15] = 0xee00400e;
 
-	printk(BIOS_ERR, "Setting up gpctl\n");
+	printk(ERROR, "Setting up gpctl\n");
 	mmcr->gpctl.gpcsrt = 0x01;
 	mmcr->gpctl.gpcspw = 0x09;
 	mmcr->gpctl.gpcsoff = 0x01;
@@ -139,7 +139,7 @@ static void enable_dev(struct device *de
 	mmcr->dmacontrol.extchanmapa = 0xf210;
 	mmcr->dmacontrol.extchanmapb = 0xffff;
 
-	printk(BIOS_ERR, "TS5300 EXIT %s\n", __func__);
+	printk(ERROR, "TS5300 EXIT %s\n", __func__);
 }
 
 struct chip_operations mainboard_ops = {
Index: svn/src/mainboard/thomson/ip1000/mainboard_smi.c
===================================================================
--- svn.orig/src/mainboard/thomson/ip1000/mainboard_smi.c
+++ svn/src/mainboard/thomson/ip1000/mainboard_smi.c
@@ -26,6 +26,6 @@
 
 int mainboard_io_trap_handler(int smif)
 {
-	printk(BIOS_DEBUG, "MAINBOARD IO TRAP HANDLER!\n");
+	printk(DEBUG, "MAINBOARD IO TRAP HANDLER!\n");
 	return 1;
 }
Index: svn/src/mainboard/tyan/s2735/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2735/mptable.c
+++ svn/src/mainboard/tyan/s2735/mptable.c
@@ -154,7 +154,7 @@ Compatibility Bus Address
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/tyan/s2735/romstage.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2735/romstage.c
+++ svn/src/mainboard/tyan/s2735/romstage.c
@@ -129,7 +129,7 @@ void amd64_main(unsigned long bist)
 	                : "=a" (v_esp)
 	        );
 #if CONFIG_USE_PRINTK_IN_CAR
-	        printk(BIOS_DEBUG, "v_esp=%08x\n", v_esp);
+	        printk(DEBUG, "v_esp=%08x\n", v_esp);
 #else
 	        print_debug("v_esp="); print_debug_hex32(v_esp); print_debug("\n");
 #endif
@@ -141,7 +141,7 @@ void amd64_main(unsigned long bist)
 cpu_reset_x:
 
 #if CONFIG_USE_PRINTK_IN_CAR
-        printk(BIOS_DEBUG, "cpu_reset = %08x\n",cpu_reset);
+        printk(DEBUG, "cpu_reset = %08x\n",cpu_reset);
 #else
         print_debug("cpu_reset = "); print_debug_hex32(cpu_reset); print_debug("\n");
 #endif
@@ -190,7 +190,7 @@ cpu_reset_x:
                         print_debug("Use Ram as Stack now - \n");
                 }
 #if CONFIG_USE_PRINTK_IN_CAR
-                printk(BIOS_DEBUG, "new_cpu_reset = %08x\n", new_cpu_reset);
+                printk(DEBUG, "new_cpu_reset = %08x\n", new_cpu_reset);
 #else
                 print_debug("new_cpu_reset = "); print_debug_hex32(new_cpu_reset); print_debug("\n");
 #endif
Index: svn/src/mainboard/tyan/s2850/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2850/mptable.c
+++ svn/src/mainboard/tyan/s2850/mptable.c
@@ -30,7 +30,7 @@ static unsigned node_link_to_bus(unsigne
                 dst_link = (config_map >> 8) & 3;
                 bus_base = (config_map >> 16) & 0xff;
 #if 0                           
-                printk(BIOS_DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
+                printk(DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
                         dst_node, dst_link, bus_base,
                         reg, config_map);
 #endif
@@ -81,7 +81,7 @@ static void *smp_write_config_table(void
                 /* HT chain 0 */
                 bus_chain_0 = node_link_to_bus(0, 0);
                 if (bus_chain_0 == 0) {
-                        printk(BIOS_DEBUG, "ERROR - cound not find bus for node 0 chain 0, using defaults\n");
+                        printk(DEBUG, "ERROR - cound not find bus for node 0 chain 0, using defaults\n");
                         bus_chain_0 = 1;
                 }
                 /* 8111 */
@@ -92,7 +92,7 @@ static void *smp_write_config_table(void
                         bus_isa++;
                 }     
                 else {  
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
 
                         bus_8111_1 = 2;
                         bus_isa = 3;
@@ -194,7 +194,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/tyan/s2875/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2875/mptable.c
+++ svn/src/mainboard/tyan/s2875/mptable.c
@@ -29,7 +29,7 @@ static unsigned node_link_to_bus(unsigne
                 dst_link = (config_map >> 8) & 3;
                 bus_base = (config_map >> 16) & 0xff;
 #if 0                           
-                printk(BIOS_DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
+                printk(DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
                         dst_node, dst_link, bus_base,
                         reg, config_map);
 #endif
@@ -81,7 +81,7 @@ static void *smp_write_config_table(void
                 /* HT chain 0 */
                 bus_chain_0 = node_link_to_bus(0, 0);
                 if (bus_chain_0 == 0) {
-                        printk(BIOS_DEBUG, "ERROR - cound not find bus for node 0 chain 0, using defaults\n");
+                        printk(DEBUG, "ERROR - cound not find bus for node 0 chain 0, using defaults\n");
                         bus_chain_0 = 1;
                 }
 
@@ -91,10 +91,10 @@ static void *smp_write_config_table(void
                         bus_8111_1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
                         bus_isa    = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
                         bus_isa++;
-			printk(BIOS_DEBUG, "bus_isa=%d\n",bus_isa);
+			printk(DEBUG, "bus_isa=%d\n",bus_isa);
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
 
                         bus_8111_1 = 3;
                         bus_isa = 4;
@@ -103,11 +103,11 @@ static void *smp_write_config_table(void
                 dev = dev_find_slot(bus_chain_0, PCI_DEVFN(0x02,0));
                 if (dev) {
                         bus_8151_1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
-                        printk(BIOS_DEBUG, "bus_8151_1=%d\n",bus_8151_1);
+                        printk(DEBUG, "bus_8151_1=%d\n",bus_8151_1);
    
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
 
                         bus_8151_1 = 2;
                 }
@@ -209,7 +209,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/tyan/s2880/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2880/mptable.c
+++ svn/src/mainboard/tyan/s2880/mptable.c
@@ -30,7 +30,7 @@ static unsigned node_link_to_bus(unsigne
                 dst_link = (config_map >> 8) & 3;
                 bus_base = (config_map >> 16) & 0xff;
 #if 0                           
-                printk(BIOS_DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
+                printk(DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
                         dst_node, dst_link, bus_base,
                         reg, config_map);
 #endif
@@ -86,7 +86,7 @@ static void *smp_write_config_table(void
                 /* HT chain 0 */
                 bus_chain_0 = node_link_to_bus(0, 0);
                 if (bus_chain_0 == 0) {
-                        printk(BIOS_DEBUG, "ERROR - cound not find bus for node 0 chain 0, using defaults\n");
+                        printk(DEBUG, "ERROR - cound not find bus for node 0 chain 0, using defaults\n");
                         bus_chain_0 = 1;
                 }
                 
@@ -98,7 +98,7 @@ static void *smp_write_config_table(void
                         bus_isa++; 
                 }       
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
 
                         bus_8111_1 = 4;
                         bus_isa = 5;
@@ -110,7 +110,7 @@ static void *smp_write_config_table(void
 
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
 
                         bus_8131_1 = 2;
                 }
@@ -121,7 +121,7 @@ static void *smp_write_config_table(void
 
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
 
                         bus_8131_2 = 3;
                 }
@@ -237,7 +237,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/tyan/s2881/get_bus_conf.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2881/get_bus_conf.c
+++ svn/src/mainboard/tyan/s2881/get_bus_conf.c
@@ -85,11 +85,11 @@ void get_bus_conf(void)
 #if CONFIG_HT_CHAIN_END_UNITID_BASE >= CONFIG_HT_CHAIN_UNITID_BASE
                 bus_isa    = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
                 bus_isa++;
-//		printk(BIOS_DEBUG, "bus_isa=%d\n",bus_isa);
+//		printk(DEBUG, "bus_isa=%d\n",bus_isa);
 #endif
         }
 	else {
-                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:03.0, using defaults\n", bus_8111_0);
+                printk(DEBUG, "ERROR - could not find PCI %02x:03.0, using defaults\n", bus_8111_0);
         }
 
         /* 8131-1 */
@@ -98,7 +98,7 @@ void get_bus_conf(void)
                 bus_8131_1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
         }
         else {
-                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:01.0, using defaults\n", bus_8131_0);
+                printk(DEBUG, "ERROR - could not find PCI %02x:01.0, using defaults\n", bus_8131_0);
         }
 
         /* 8132-2 */
@@ -108,11 +108,11 @@ void get_bus_conf(void)
 #if CONFIG_HT_CHAIN_END_UNITID_BASE < CONFIG_HT_CHAIN_UNITID_BASE
                 bus_isa    = pci_read_config8(dev, PCI_SUBORDINATE_BUS);
                 bus_isa++;
-//              printk(BIOS_DEBUG, "bus_isa=%d\n",bus_isa);
+//              printk(DEBUG, "bus_isa=%d\n",bus_isa);
 #endif
         }
         else {
-                printk(BIOS_DEBUG, "ERROR - could not find PCI %02x:02.0, using defaults\n", bus_8131_0);
+                printk(DEBUG, "ERROR - could not find PCI %02x:02.0, using defaults\n", bus_8131_0);
         }
 
 
Index: svn/src/mainboard/tyan/s2881/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2881/irq_tables.c
+++ svn/src/mainboard/tyan/s2881/irq_tables.c
@@ -58,7 +58,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...", addr);
+        printk(INFO, "Writing IRQ routing tables to 0x%lx...", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -100,7 +100,7 @@ unsigned long write_pirq_routing_table(u
                 pirq->checksum = sum;
         }
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
Index: svn/src/mainboard/tyan/s2881/mainboard.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2881/mainboard.c
+++ svn/src/mainboard/tyan/s2881/mainboard.c
@@ -41,7 +41,7 @@ static void adt7463_init(device_t dev)
 	smbus_dev = dev_find_device(0x1022, 0x746b, 0);
 	if (!smbus_dev)
 		die("SMBus controller not found\n");
-	printk(BIOS_DEBUG, "SMBus controller found\n");
+	printk(DEBUG, "SMBus controller found\n");
 
 	/* Find the ADT7463 device. */
 	path.type = DEVICE_PATH_I2C;
@@ -49,7 +49,7 @@ static void adt7463_init(device_t dev)
 	adt7463 = find_dev_path(smbus_dev->link, &path);
 	if (!adt7463)
 		die("ADT7463 not found\n");
-	printk(BIOS_DEBUG, "ADT7463 found\n");
+	printk(DEBUG, "ADT7463 found\n");
 
 	/* Set all fans to 'Fastest Speed Calculated by All 3 Temperature
 	 * Channels Controls PWMx'.
@@ -95,7 +95,7 @@ static void adt7463_init(device_t dev)
 	/* Set TACH measurements to normal (1/second). */
 	result = smbus_write_byte(adt7463, 0x78, 0xf0);
 
-	printk(BIOS_DEBUG, "ADT7463 properly initialized\n");
+	printk(DEBUG, "ADT7463 properly initialized\n");
 }
 
 static void dummy_noop(device_t dummy)
@@ -117,7 +117,7 @@ static unsigned int scan_root_bus(device
 
 	max = root_dev_scan_bus(root, max);
 
-	printk(BIOS_DEBUG, "scan_root_bus ok\n");
+	printk(DEBUG, "scan_root_bus ok\n");
 
 	/* The following is a little silly. We need a hook into the boot
 	 * process *after* the ADT7463 device has been initialized. So we
@@ -128,7 +128,7 @@ static unsigned int scan_root_bus(device
 
 	link_i = root->links;
 	if (link_i >= MAX_LINKS) {
-		printk(BIOS_DEBUG, "Reached MAX_LINKS, not configuring ADT7463");
+		printk(DEBUG, "Reached MAX_LINKS, not configuring ADT7463");
 		return max;
 	}
 	root->link[link_i].link = link_i;
Index: svn/src/mainboard/tyan/s2881/mptable.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2881/mptable.c
+++ svn/src/mainboard/tyan/s2881/mptable.c
@@ -141,7 +141,7 @@ static void *smp_write_config_table(void
 	/* Compute the checksums */
 	mc->mpe_checksum = smp_compute_checksum(smp_next_mpc_entry(mc), mc->mpe_length);
 	mc->mpc_checksum = smp_compute_checksum(mc, mc->mpc_length);
-	printk(BIOS_DEBUG, "Wrote the mp table end at: %p - %p\n",
+	printk(DEBUG, "Wrote the mp table end at: %p - %p\n",
 		mc, smp_next_mpe_entry(mc));
 	return smp_next_mpe_entry(mc);
 }
Index: svn/src/mainboard/tyan/s2882/irq_tables.c
===================================================================
--- svn.orig/src/mainboard/tyan/s2882/irq_tables.c
+++ svn/src/mainboard/tyan/s2882/irq_tables.c
@@ -64,7 +64,7 @@ static unsigned node_link_to_bus(unsigne
                 dst_link = (config_map >> 8) & 3;
                 bus_base = (config_map >> 16) & 0xff;
 #if 0                           
-                printk(BIOS_DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
+                printk(DEBUG, "node.link=bus: %d.%d=%d 0x%2x->0x%08x\n",
                         dst_node, dst_link, bus_base,
                         reg, config_map);
 #endif
@@ -115,7 +115,7 @@ unsigned long write_pirq_routing_table(u
                 /* HT chain 0 */
                 bus_chain_0 = node_link_to_bus(0, 0);
                 if (bus_chain_0 == 0) {
-                        printk(BIOS_DEBUG, "ERROR - cound not find bus for node 0 chain 0, using defaults\n");
+                        printk(DEBUG, "ERROR - cound not find bus for node 0 chain 0, using defaults\n");
                         bus_chain_0 = 1;
                 }
 
@@ -125,7 +125,7 @@ unsigned long write_pirq_routing_table(u
                         bus_8111_1 = pci_read_config8(dev, PCI_SECONDARY_BUS);
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:03.0, using defaults\n");
 
                         bus_8111_1 = 4;
                 }
@@ -136,7 +136,7 @@ unsigned long write_pirq_routing_table(u
 
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:01.0, using defaults\n");
 
                         bus_8131_1 = 2;
                 }
@@ -147,7 +147,7 @@ unsigned long write_pirq_routing_table(u
 
                 }
                 else {
-                        printk(BIOS_DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
+                        printk(DEBUG, "ERROR - could not find PCI 1:02.0, using defaults\n");
 
                         bus_8131_2 = 3;
                 }
@@ -158,7 +158,7 @@ unsigned long write_pirq_routing_table(u
         addr &= ~15;
 
         /* This table must be betweeen 0xf0000 & 0x100000 */
-        printk(BIOS_INFO, "Writing IRQ routing tables to 0x%lx...\n", addr);
+        printk(INFO, "Writing IRQ routing tables to 0x%lx...\n", addr);
 
 	pirq = (void *)(addr);
 	v = (uint8_t *)(addr);
@@ -197,67 +197,67 @@ unsigned long write_pirq_routing_table(u
                 }
         }
 
-        printk(BIOS_DEBUG, "setting Onboard AMD Southbridge \n");
+        printk(DEBUG, "setting Onboard AMD Southbridge \n");
         static const unsigned char slotIrqs_1_4[4] = { 5, 9, 11, 10 };
         pci_assign_irqs(bus_chain_0, 4, slotIrqs_1_4);
         write_pirq_info(pirq_info, bus_chain_0,(4<<3)|0, 0x1, 0xdef8, 0x2, 0xdef8, 0x3, 0xdef8, 0x4, 0xdef8, 0, 0);
 	pirq_info++; slot_num++;
 	
-        printk(BIOS_DEBUG, "setting Onboard AMD USB \n");
+        printk(DEBUG, "setting Onboard AMD USB \n");
         static const unsigned char slotIrqs_8111_1_0[4] = { 0, 0, 0, 10 };
         pci_assign_irqs(bus_8111_1, 0, slotIrqs_8111_1_0);
         write_pirq_info(pirq_info, bus_8111_1,0, 0, 0, 0, 0, 0, 0, 0x4, 0xdef8, 0, 0);
 	pirq_info++; slot_num++;
 
-        printk(BIOS_DEBUG, "setting Onboard ATI Display Adapter\n");
+        printk(DEBUG, "setting Onboard ATI Display Adapter\n");
         static const unsigned char slotIrqs_8111_1_6[4] = { 11, 0, 0, 0 };
         pci_assign_irqs(bus_8111_1, 6, slotIrqs_8111_1_6);
         write_pirq_info(pirq_info, bus_8111_1,(6<<3)|0, 0x3, 0xdef8, 0, 0, 0, 0, 0, 0, 0, 0);
 	pirq_info++; slot_num++;
 
-        printk(BIOS_DEBUG, "setting Slot 1\n");
+        printk(DEBUG, "setting Slot 1\n");
         static const unsigned char slotIrqs_8131_2_3[4] = { 5, 9, 11, 10 };
         pci_assign_irqs(bus_8131_2, 3, slotIrqs_8131_2_3);
         write_pirq_info(pirq_info, bus_8131_2,(3<<3)|0, 0x1, 0xdef8, 0x2, 0xdef8, 0x3, 0xdef8, 0x4, 0xdef8, 0x1, 0);
 	pirq_info++; slot_num++;
 
-        printk(BIOS_DEBUG, "setting Slot 2\n");
+        printk(DEBUG, "setting Slot 2\n");
         static const unsigned char slotIrqs_8131_2_1[4] = { 9, 11, 10, 5 };
         pci_assign_irqs(bus_8131_2, 1, slotIrqs_8131_2_1);
         write_pirq_info(pirq_info, bus_8131_2,(1<<3)|0, 0x2, 0xdef8, 0x3, 0xdef8, 0x4, 0xdef8, 0x1, 0xdef8, 0x2, 0);
 	pirq_info++; slot_num++;
 
-        printk(BIOS_DEBUG, "setting Slot 3\n");
+        printk(DEBUG, "setting Slot 3\n");
         static const unsigned char slotIrqs_8131_1_3[4] = { 10, 5, 9, 11 };
         pci_assign_irqs(bus_8131_1, 3, slotIrqs_8131_1_3);
         write_pirq_info(pirq_info, bus_8131_1,(3<<3)|0, 0x4, 0xdef8, 0x1, 0xdef8, 0x2, 0xdef8, 0x3, 0xdef8, 0x3, 0);
 	pirq_info++; slot_num++;
 
-        printk(BIOS_DEBUG, "setting Slot 4\n");
+        printk(DEBUG, "setting Slot 4\n");
         static const unsigned char slotIrqs_8131_1_2[4] = { 11, 10, 5, 9 };
         pci_assign_irqs(bus_8131_1, 2, slotIrqs_8131_1_2);
         write_pirq_info(pirq_info, bus_8131_1,(2<<3)|0, 0x3, 0xdef8, 0x4, 0xdef8, 0x1, 0xdef8, 0x2, 0xdef8, 0x4, 0);
 	pirq_info++; slot_num++;
 
-        printk(BIOS_DEBUG, "setting Slot 5 \n");
+        printk(DEBUG, "setting Slot 5 \n");
         static const unsigned char slotIrqs_8111_1_4[4] = { 5, 9, 11, 10 };
         pci_assign_irqs(bus_8111_1, 4, slotIrqs_8111_1_4);
         write_pirq_info(pirq_info, bus_8111_1,(4<<3)|0, 0x1, 0xdef8, 0x2, 0xdef8, 0x3, 0xdef8, 0x4, 0xdef8, 0x5, 0);
 	pirq_info++; slot_num++;
 
-        printk(BIOS_DEBUG, "setting Onboard SI Serial ATA\n");
+        printk(DEBUG, "setting Onboard SI Serial ATA\n");
         static const unsigned char slotIrqs_8111_1_5[4] = { 10, 0, 0, 0 };
         pci_assign_irqs(bus_8111_1, 5, slotIrqs_8111_1_5);
         write_pirq_info(pirq_info, bus_8111_1,(5<<3)|0, 0x4, 0xdef8, 0, 0, 0, 0, 0, 0, 0, 0);
 	pirq_info++; slot_num++;
 
-        printk(BIOS_DEBUG, "setting Onboard Intel NIC\n");
+        printk(DEBUG, "setting Onboard Intel NIC\n");
         static const unsigned char slotIrqs_8111_1_8[4] = { 11, 0, 0, 0 };
         pci_assign_irqs(bus_8111_1, 8, slotIrqs_8111_1_8);
         write_pirq_info(pirq_info, bus_8111_1,(8<<3)|0, 0x3, 0xdef8, 0, 0, 0, 0, 0, 0, 0, 0);
 	pirq_info++; slot_num++;
 
-        printk(BIOS_DEBUG, "setting Onboard Adaptec  SCSI\n");
+        printk(DEBUG, "setting Onboard Adaptec  SCSI\n");
         static const unsigned char slotIrqs_8131_1_6[4] = { 5, 9, 0, 0 };
         pci_assign_irqs(bus_8131_1, 6, slotIrqs_8131_1_6);
         write_pirq_info(pirq_info, bus_8131_1,(6<<3)|0, 0x1, 0xdef8, 0x2, 0xdef8, 0, 0, 0, 0, 0, 0);
@@ -268,7 +268,7 @@ unsigned long write_pirq_routing_table(u
 	pirq_info++; slot_num++;
 #endif
 
-        printk(BIOS_DEBUG, "setting Onboard Broadcom NIC\n");
+        printk(DEBUG, "setting Onboard Broadcom NIC\n");
         static const unsigned char slotIrqs_8131_1_9[4] = { 5, 9, 0, 0 };
         pci_assign_irqs(bus_8131_1, 9, slotIrqs_8131_1_9);
         write_pirq_info(pirq_info, bus_8131_1,(9<<3)|0, 0x1, 0xdef8, 0x2, 0xdef8, 0, 0, 0, 0, 0, 0);
@@ -296,7 +296,7 @@ unsigned long write_pirq_routing_table(u
                 pirq->checksum = sum;
         }
 
-	printk(BIOS_INFO, "done.\n");
+	printk(INFO, "done.\n");
 
 	return	(unsigned long) pirq_info;
 
